## org.apache.mahout.classifier.df.split
Class Split

    java.lang.Object
      org.apache.mahout.classifier.df.split.Split

    public final class Split

extends Object

Contains enough information to identify each split

Constructor Summary
`Split(int attr, double ig)`
`Split(int attr, double ig, double split)`

Method Summary
`int` `getAttr()`
`double` `getIg()`
`double` `getSplit()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Split

    public Split(int attr,
                 double ig,
                 double split)

### Split

    public Split(int attr,
                 double ig)

Method Detail

### getAttr

    public int getAttr()

  Returns:
    attribute to split for

### getIg

    public double getIg()

  Returns:
    Information Gain of the split

### getSplit

    public double getSplit()

  Returns:
    split value for NUMERICAL attributes

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.